Bug 620802 - RFE: diagnose all repos disabled
RFE: diagnose all repos disabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 10:23 EDT by John Reiser
Modified: 2014-01-21 18:16 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-3.2.28-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 12:06:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2010-08-03 10:23:20 EDT
Description of problem: If "yum update" is run when every repo is disabled, then stderr should say, "No enabled repo found: <list_of_actual_repos>"in order to emphasize to the user that there *never* could be any updates in such a situation.


Version-Release number of selected component (if applicable):
yum-3.2.27-20.fc14.noarch


How reproducible: always


Steps to Reproduce:
1. edit each file /etc/yum.repos.d/*.repo to contain "enabled=0".
2. yum update
3.
  
Actual results:
No Packages marked for Update

Expected results:
No enabled repo found: fedora.repo, fedora-updates.repo, fedora-testing.repo
No Packages marked for Update

Additional info: also in rawhide (Fedora 15)
Comment 1 James Antill 2010-08-03 12:06:13 EDT
Added, sample output:


% sudo yum --disablerepo='*' in a
Loaded plugins: aliases, filter-data, keys, presto, security, tmprepo, verify
There are no enabled repos.
 Run "yum repolist all" to see the repos you have.
 You can enable repos with yum-config-manager --enable <repo>
Comment 2 Fedora Update System 2010-08-09 15:56:00 EDT
yum-3.2.28-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc12
Comment 3 Fedora Update System 2010-08-09 15:56:35 EDT
yum-3.2.28-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc14
Comment 4 Fedora Update System 2010-08-09 15:57:01 EDT
yum-3.2.28-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc13
Comment 5 Fedora Update System 2010-08-12 16:17:32 EDT
yum-3.2.28-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc12
Comment 6 Fedora Update System 2010-08-12 16:19:57 EDT
yum-3.2.28-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc13
Comment 7 Fedora Update System 2010-08-12 16:22:14 EDT
yum-3.2.28-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc14
Comment 8 Fedora Update System 2010-08-17 01:47:36 EDT
yum-3.2.28-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-08-19 22:21:09 EDT
yum-3.2.28-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-08-23 21:38:47 EDT
yum-3.2.28-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.